|  | Home | Documentation | saml1__SubjectType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__SubjectType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__SubjectType:
[legend]

## Public Attributes

struct saml1__NameIdentifierType * | saml1__NameIdentifier
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"NameIdentifier.
struct saml1__SubjectConfirmationType * | saml1__SubjectConfirmation
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmation.
struct saml1__SubjectConfirmationType * | saml1__SubjectConfirmation_
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmation.

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectType is a complexType.

Note
  struct saml1__SubjectType operations:
  - saml1__SubjectType* soap_new_saml1__SubjectType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__SubjectType(struct soap*, saml1__SubjectType*) default initialize members
  - int soap_read_saml1__SubjectType(struct soap*, saml1__SubjectType*) deserialize from a source
  - int soap_write_saml1__SubjectType(struct soap*, saml1__SubjectType*) serialize to a sink
  - saml1__SubjectType* soap_dup_saml1__SubjectType(struct soap*, saml1__SubjectType* dst, saml1__SubjectType <em>src) returns deep copy of saml1__SubjectType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__SubjectType(saml1__SubjectType
  ) deep deletes saml1__SubjectType data members, use only on dst after soap_dup_saml1__SubjectType(NULL, saml1__SubjectType *dst, saml1__SubjectType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ saml1__NameIdentifier

struct saml1__NameIdentifierType* saml1__SubjectType::saml1__NameIdentifier

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"NameIdentifier.

Choice of element (one of multiple choices).

## ◆ saml1__SubjectConfirmation

struct saml1__SubjectConfirmationType* saml1__SubjectType::saml1__SubjectConfirmation

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmation.

Choice of optional element (one of multiple choices).

## ◆ saml1__SubjectConfirmation_

struct saml1__SubjectConfirmationType* saml1__SubjectType::saml1__SubjectConfirmation_

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmation.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml1.h